/*
 * Copyright 2010-2012 Craig S. Dickson (http://craigsdickson.com)
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.squeakysand.commons.jaas;

import java.rmi.RemoteException;
import java.rmi.server.UnicastRemoteObject;

/**
 * <p>Abstract AbstractRemoteCallbackHandler class.</p>
 */
public abstract class AbstractRemoteCallbackHandler extends UnicastRemoteObject implements RemoteCallbackHandler {

    private static final long serialVersionUID = -2876405840705440904L;

    /**
     * Constructor for AbstractRemoteCallbackHandler.
     *
     * @throws java.rmi.RemoteException if any.
     */
    public AbstractRemoteCallbackHandler() throws RemoteException {
        super();
    }
}
